# QwtPickerPolygonMachine Class Reference

A state machine for polygon selections. More...

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerPolygonMachine:
[legend]

List of all members.

## Public Types

enum | Command { Begin, Append, Move, End }
typedef QList< Command > | CommandList

## Public Member Functions

void | reset ()
void | setState (int)
int | state () const
virtual CommandList | transition (const QwtEventPattern &, const QEvent *)

## Detailed Description

A state machine for polygon selections.

Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 starts the selection and selects the first point, or appends a point. Pressing QwtEventPattern::MouseSelect2 or QwtEventPattern::KeySelect2 appends the last point and terminates the selection.

See also:
  QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

## Member Enumeration Documentation

enum QwtPickerMachine::Command`[inherited]`

Commands - the output of the state machine.

## Member Function Documentation

void QwtPickerMachine::reset | ( |  | ) | `[inherited]`

Set the current state to 0.

void QwtPickerMachine::setState | ( | int | state | ) | `[inherited]`

Change the current state.

int QwtPickerMachine::state | ( |  | ) | const`[inherited]`

Return the current state.

QwtPickerMachine::CommandList QwtPickerPolygonMachine::transition | ( | const QwtEventPattern & | eventPattern,
|  | const QEvent * | e
| ) |  | `[virtual]`

Transition.

Implements QwtPickerMachine.